/* super globals */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}
/* css variables */
:root {
  --d-flex: flex;
  --f-col: column;
  --wrap: wrap;
  --f-row: row;
  --d-block: block;
  --primary-color: #f8851a;
  --secondary-color: gray;

  --black: #121212;
  --white: #eee;
  --white-light: #e5e2e2f8;

  --text-center: center;

  --full-w: 100%;
  --full-h: 100%;
  --half-w: 50%;
  --half-h: 50%;

  --full-vw: 100vw;
  --full-vh: 100vh;

  --mg: 1em;
  --mg-top: 1em;
  --mg-left: 1em;
  --mg-right: 1em;
  --mg-bottom: 1em;

  --pd: 1em;
  --pd-light: 0.5em;

  --bdr-1: 4px;
  --bdr-2: 50%;

  --fb: 4px solid #e5e2e2f8;

  --centered: 0 auto;
  --lh: 1.5;

  --primary-box-shadow: rgba(0, 0, 0, 0.3) 0 1px 3px;
}
/* html scroll behaviour */
html {
  scroll-behavior: smooth;
}
/* body */
body {
  font-family: 'Source Sans Pro', sans-serif;
  width: 100%;
  height: 100%;
}

/* wrapper */
.wrapper {
  display: flex;
  flex-flow: column;
  width: 100%;
}
/* main nav */
.main-nav {
  display: flex;
  flex-wrap: wrap;
  height: 190px;
  background: #fff;
  align-items: center;
  justify-content: space-around;
  border-bottom: 4px solid #eee;

  padding: 1rem 0;
}
/* logo container */
.logo-container {
  height: 100%;
}
/* logo */
.logo {
  max-width: 100%;
  object-fit: cover;
  height: 100%;
  cursor: pointer;
}
/* menu */
.menu {
  border-top: 3px solid #eee;
  display: flex;
  flex-flow: column;
  padding: 0.6rem 0.6rem;
  position: relative;
  background: #222221;
  width: fit-content;
}
/* active */
.active {
  background: #fff !important;
  color: #121212 !important;
}
/* school name */
.school-name {
  position: absolute;
  display: inline;
  top: -70px;
  font-size: 36px;
  width: 100%;
  letter-spacing: 10px;
  margin: 1rem 0;
  text-align: center;
  text-shadow: 0 1px 0 #ffffff66;
  /* text-shadow: 0px 4px 3px rgba(0,0,0,0.4),
             0px 8px 13px rgba(0,0,0,0.1),
             0px 18px 23px rgba(0,0,0,0.1); */
}
/* menu links */
.menu-a {
  display: flex;
  flex-wrap: nowrap;
  flex: 1;
}
.menu-bar {
  display: none;
  visibility: hidden;
  margin-right: 1.5rem;
  z-index: 200;
}

/* menu bar */
.menu a {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 1.5rem;
  text-decoration: none;
  color: #fff;
  font-size: 12px;
  padding: 0.6rem 0.2rem;
  cursor: pointer;
}

/* hover effects for main navigation images*/
.menu a:hover {
  background: #fff;
  color: #121212;
  transition: .5s ease-in-out;
  transform: translateY(-10px) scale(1.02);
  border-bottom: 2px solid #f8851a;
}

/* menu bar  */
.bars {
  visibility: hidden;
  position: absolute;
  color: #fff;
}
.ad-space-1 {
  width: 100%;
  background: rgba(0, 0, 0, 0.77);
  height: 40px;
  display: none;
}
/* show classlist toggled */
.show {
  display: flex !important;
  transition: .3s ease-in-out;
  z-index: 100;
}
/* content sections */
.content {
  margin-top: 2rem;
  width: 97%;
  align-self: center;
  display: flex;
  flex-flow: row wrap;
  flex: 1;
  padding: 1rem 1rem;
  box-shadow: rgba(0, 0, 0, 0.3) 0 1px 3px;
  
}
/* aside section */
.aside {
  width: 300px;
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: center;
  padding: 1rem 1rem;
  margin: 1rem 1rem;
  background: #eee;
  box-shadow: 0 0 6.66px rgb(0 0 0 / 60%);
}
/*section header*/
.section-header {
  color: #121212;
  text-transform: uppercase;
  margin: .5rem 0;
  border-top: 2px solid #121212;
  background: #fff;
  padding: .2rem .3rem;
  font-size: 22px;
  font-weight: 600;
  border-radius: 5px;
  text-align: center;
}
/*news and events container*/
.news-events-container {
  display: flex;
  flex-wrap: wrap;
}

/* event div styles */
.event {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-flow: column;
  overflow: hidden;
  padding: .2rem .2rem;
  margin: .5rem 0;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.6);
}
 
/* new event styles */

.event-image {
  object-fit: cover;
  border-radius: 8px;
  margin-bottom: 12px;
}

.more-info {
  background: #007bff; /* Or your school colors */
  color: white;
  border: none;
  padding: 8px 16px;
  border-radius: 4px;
  cursor: pointer;
}
/* end of new event styles */
/* event hover effects  */
.event:hover {
  transform: scale(1.02);
  transition: transform .3s linear;
}
.event-title {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  font-weight: 800;
  color: #121212;
}
.event-title, .event-date, .more-info {
  margin: .6rem .2rem;
  text-transform: uppercase;
  font-weight: 800;
}
.event-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 .2rem;
}
/*event date*/
.event-date {
  color: #f8851a;
  font-size: 14px;
  align-self: flex-start;
}
/* read-more */
.more-info {
  color: blue;
  text-decoration: none;
  text-transform: italic;
  font-size: 14 px;
  align-self: self-end;
}
.more-info:hover {
  color: #f8851a;
}
.slide-wrapper {
  display: flex;
  flex: 1;
  flex-flow: column;
  align-items: center;
  width: 600%;
  /* height: 1050px; */
  padding: 1rem .5rem;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
}
.banner {
  flex: 1;
  margin:1rem 1rem;
  display: flex;
  flex-flow: column;
  align-items: center;
  padding: 1rem 1rem;
  background: #eee;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.6);
}
/*download div*/
.download-div {
  position: relative;
  margin-top: 2rem;
  width: 250px;
  height: 350px;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  background: #fff;
  padding: 1rem .1rem;
  border-radius: 5px;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
}
.download-div:hover {
  transform: scale(1.03);
  transition: transform .3s ease-in-out;
}
/* on hover - underline header */
.download-div:hover .download-item-name {
  text-decoration: underline;
}
/* on hover opacity of child elements */
.download-div:hover .download-item-img {
  opacity: .3;
}
/* on hover - display download button */
/* .download-div:hover .download-item-btn {
  visibility: visible;
  transition: visibility .4s linear;
} */
.download-item-img {
  max-width: 100%;
  height: 76%;
}
/* download item mane*/
.download-item-name {
  padding: .6rem 0;
  text-transform: uppercase;
  padding: .5rem 0;
  text-align: center;
  width: 100%;
  margin-bottom: auto;
}

/* download button*/
.download-item-btn {
  border-radius: 6.66px;
  width: 60%;
  align-self: center;
  padding: .4rem .2rem;
  margin-top: auto;
  font-size: 16px;
  font-weight: 600;
  background: #f8851a;
  color: #fff;
  cursor: pointer;
  border: none;
  text-decoration: none;
  text-align: center;
  visibility: visible;
}
.download-item-btn:hover {
  background: #fff;
  color: #121212;
  transition: 0.3s linear;
  outline: .66px solid #f8851a;;
}

/*school stats*/
.school-statistics {
  flex: 1;
  margin: 3rem 0 0 0;
  background: #eee;
  color: #121212;
  width: 100%;
  display: flex;
  flex-flow: column;
  align-items: center;
  padding: 1rem 0.5rem;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
}
/* school stats div: hover effects */
.school-statistics:hover {
  transform: scale(1.02);
  transition: transform.3s linear;
}
/* stats div */
.stats-div {
  display: flex;
  flex-flow: row-wrap;
  margin-top: 2rem;
  width: 100%;
  height: fit-content;
  background-image: url(../stats-bg.jpg);
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  color: #eee;
  justify-content: space-around;
  padding: 2rem .4rem;
  border-radius: 5px;
}

.main-stats-header, .social-header, .staff-header {
  background: #fff;
  padding: .3rem .4rem;
  border-radius: 4px;
  border-top: 2px solid #121212;
}
.learners, .teachers, .staff {
  display: flex;
  flex-flow: column;
  align-items: center;
  padding: 1rem 1rem;
  margin: 1rem 0;
}
.stats-header {
  color: #f8851a;
  font-size: 24px;
  font-weight: 600;
  text-align: center;
}

.count {
  margin-top: 2rem;
  display: grid;
  place-items: center;
  background: #fffffff3;
  color: #121212;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  font-weight: 800;
  font-size: 30px;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.6);
  border: .5px solid #121212;
}

/* academic staff */
.academic-staff {
  display: flex;
  flex-direction: column;
  align-self: center;

  margin: 1rem 1rem;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  padding: 1rem 1rem;
  width: 98%;
  border-radius: 5px;
  align-items: center;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.staff-header {
  align-self: center;
  margin: .7rem 0;
}
.staff-members-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 1rem 1rem;
  margin: 1rem 0;
  border-radius: 5px;
}
.principal-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 350px;
  background-color: #fff;
  align-self: center;
  padding: 1rem 1rem;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  position: relative;
  border-top-left-radius: 25%;
  border-top-right-radius: 25%;
  margin-top: 1rem;
  border-top: 1px solid #121212;
}
/* right and left corner cut-off */
.left-corner {
  width: 200px;
  height: 220px;
  background: none;
  border-radius: 50%;
}
.right-corner {
  /* position: absolute;
  right: 0;
  top: 0; */
  width: 200px;
  height: 220px;
  background: none;
  border-radius: 50%;
}

/* pricipal image */
.p-image, .h-image, .t-image {
  width: 98.5%;
  height: 250px;
  object-fit: cover;
  border-radius: 5%;
}
/* principal info */
.principal-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem 1rem;
}
/* principal */
.principal {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  padding: .3rem .2rem;
  border-radius: 10px;
  background: #eee;
  position: absolute;
  top: -30px;
  margin: 0 auto;
  border: 1px solid #121212;
}
/* principal hover effect */
.principal:hover {
  transform: scale(1.03);
  transition: transform .3s linear;
}
/* hod box hover effects */
.hod:hover {
  transform: scale(1.03);
  transition: transform .3s linear;
}
/* teacher box hover effects */
.teacher:hover {
  transform: scale(1.03);
  transition: transform .3s linear;
}
.principal-name, .teacher-name, .hod-name {
  font-size: 18px;
  font-weight: 600;
  color: #fff;
  background-color: #f8851a;
  padding: .1rem .2rem;
  border-radius: 5px;
  text-align: center;
}
/* principal, hods and teachers */
.principal-title, .hod-title, .teacher-subjects {
  padding: 0.5rem 0;
  color: #121212;
  font-size: 14px;
  text-align: center;
}
/* hods container */
.h-o-d-s {
  display: flex;
  padding: 1rem 1rem;
  margin: 1rem 0;
  flex-flow: row wrap;
  justify-content: center;
  width: 100%;
  background: #fff;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
}
.hod {
  background: #eee;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: .3rem 1rem;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  padding: .3rem .2rem;
  border-radius: 10px;
  position: relative;
}
/* hod info */
.hod-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem 1rem;
}
/* acting hod info */
.act {
  padding: .1rem .2rem;
  font-weight: 500;
  color: #fff;
  background: #f80404;
  position: absolute;
  top: 0;
  right: 0;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
}
/* teachers container */
.teachers-container {
  display: flex;
  padding: 1rem 1rem;
  margin-bottom: 1rem;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  background: #fff;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
}
.teacher {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: #eee;
  align-items: center;
  margin: .5rem 1rem;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
  padding: .3rem .2rem;
  border-radius: 10px;
}
/* teacher info */
.teacher-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem 1rem;
}

.principal .hod .teacher {
  width: max-content;
  height: max-content;
  flex: 1 1 0;
}
/* social container */
.social {
  display: flex;
  flex-flow: column;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 97%;
  border-radius: 5px;
  align-self: center;
  background: #eee;
  padding: 1rem 1rem;
  margin: 1rem 0;
  box-shadow: 0 0 6px rgba(0, 0, 0, 0.6);
}
/* social icons div */
.social-icons {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 1rem 0;
}
/* social icons link */
.social-icons a {
  margin: 1rem 2.66rem;
}
.social-icons a i {
  color: darkgrey;
  font-size: 46.6px;
  background: none;
}
/* larger middle icon */
.middle:hover {
  transform: scale(1.2);
  transition: transform .3s linear;
}
/* on hover */
.social-icons a i:hover {
  transform: scale(1.05);
  color: #f8851a;
  transition: color .3s ease-in-out;
}
/* map div */
.map {
  background: #eee;
  border-radius: 5px;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  padding: 1rem .5rem;
  margin: 0 0 1rem 0;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  align-self: center;
  padding: 0.4rem 0.3rem;
  width: 97%;
}
.map-header {
  background: #fff;
  text-align: center;
  text-transform: uppercase;
  font-size: 25px;
  font-weight: 800;
  margin: 1rem 0;
  padding: .3rem;
  color: #121212;
  text-shadow: 0 1px 0 rgba(250, 249, 249, 0.747);
  border-top: 2px solid #121212;
  border-radius: 5px;
}
.map-frame{
  padding: .6rem .6rem;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  border-radius: 10px;
}
/* sponsors section */
.sponsors {
  background: #eee;
  border-radius: 5px;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  padding: 1rem .5rem;
  margin: 1rem 0;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  align-self: center;
  width: 97%;
}

.sponsors-header {
  text-align: center;
  text-transform: uppercase;
  font-size: 25px;
  font-weight: 800;
  margin: 1rem 0;
  padding: .3rem;
  color: #121212;
  text-shadow: 0 1px 0 rgba(250, 249, 249, 0.747);
  border-top: 2px solid #121212;
  border-radius: 5px;
}

.sponsors-logos {
  display: flex;
  flex-wrap: wrap ;
  justify-content: space-around;
  align-items: center;
}

.sponsor-logo {
  max-width: 300px;
  height: auto;
  margin: 1rem;
  box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
  cursor: pointer;
}
.sponsor-logo:hover {
  transform: scale(1.05);
  transition: transform .3s linear;
}

/* responsiveness / media queries*/
@media only screen and (max-width: 900px) {
  .wrapper {
    justify-content: center;
    /* padding: 0 .66rem; */
  }
  footer {
    justify-content: center;
    border-top: none;
  }
  .menu-bar {
    visibility: visible;
    display: block;
  }
  .contact-wrapper {
    flex-direction: column;
  }
  .banking-details {
    width: 98%;
    text-align: center;
    margin-top: 0.5rem;
  }

  .banner {
    width: 100%;
    margin: 1rem 0;
  }
  /* google map */
  .map {
    box-shadow: 0 0 6.66px rgba(0, 0, 0, 0.6);
  }
  /* map frame */
  .map-frame {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
  }
  .social-icons {
    padding: 2rem 2rem;
  }
  .middle {
    font-size: 40px;
  }
  .map-header {
    font-size: 24px;
    width: 100%;
    border-radius: 5px;
    border-top: 2px solid;
  }
  .section-header {
    text-align: center;
  }
  .contact-phone {
    border-left: none;
    width: 98%;
    align-self: center;
    margin: .5rem 0rem;
  }
  .contact-street {
    border-right: none;
    width: 98%;
    align-self: center;
    margin: .5rem 0rem;
  }
  .contact-postal {
    width: 98%;
    align-self: center;
    margin: .5rem 0rem;
  }
  .content {
    margin-top: 50px;
    box-shadow: none;
    padding: 0.4rem;
    width: 100vw;
  }
  .main-nav {
    flex-flow: column;
    justify-content: flex-start;
  }
  .menu {
    width: 100%;
    padding: 0.1rem 0.1rem;
    margin-top: 1rem;
  }
  .menu-a {
    display: none;
    flex-flow: column;
    text-align: center;
    position: absolute;
    top: 0px;
    right: 0;
    left: 0;
    font-size: 10px;
    background: #7e7e71;
    flex-wrap: wrap;
    width: 98%;
    margin: 0 auto;
    padding: 0.4rem 0;
    transition: 0.3s linear;
    z-index: 100;
    border: 1px solid #fff;
  }
  .menu a {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 1.5rem;
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    padding: 0.6rem 0.2rem;
    cursor: pointer;
    width: 50%;
    margin: 0 auto;
  }
  .menu button:hover {
    border-bottom: 2px solid #eee;
    /* height: 100%; */
  }
  .menu a:hover {
    border-bottom: 2px solid #eee;
    /* height: 100%; */
  }
  .school-name {
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    top: 0;
    font-size: 18px;
    font-weight: 600;
    color: #eee;
  }
  .bar {
    visibility: visible;
    position: absolute;
    right: 0;
    margin-right: 1rem;
    cursor: pointer;
  }
  .bar:hover {
    color: blue;
  }
  .aside {
    margin-left: 0;
    margin-right: 0;
    width: 100%;
    flex: auto;
  }
  .school-statistics {
    margin: 0;
    width: 98%;
  }
  .slide-wrapper {
    height: auto;
  }
  .slide-wrapper {
    flex: auto;
  }
  #slider {
    display: none;
    width: 100%;
  }
  .stats-div {
    flex-direction: column;
    background-image: none;
  }
  .teachers .staff {
    margin-top: 1rem;
  }
  .main-stats-header, .social-header {
    width: 100%;
    text-align: center;
    font-size: 28px;
  }
  .stats-header {
    border-top: 2px solid #121212;
    background: #fff;
    padding: .2rem .3rem;
  }
  .location-frame {
    width: 100% !important;
  }
  .learners, .teachers, .staff {
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.6);
  }
  .social-icons a {
    margin: 1rem 1.8rem;
  }
  .academic-staff {
    padding: 1rem 0rem;
  }
  .teachers-container {
    padding: 1rem 0rem;
  }
  .p-image, .h-image, .t-image {
    height: 285px;
  }
}
@media only screen and (max-width: 1200px) {
  .banner {
    position:relative;
    display: flex;
    flex-flow: row;
    justify-content: space-around;
    padding: 1rem 0;

  }
  .download-header {
    position: absolute;
    top: 15px;
    margin: 0 auto;
  }
  .download-div {
    margin: 3rem 0.2rem;
  }
  .h-o-d-s {
    padding: 1rem 0;
  }

  .hod-info, .teacher-info, .principal-info {
    padding: 1rem 0;
  }
  .hod-name, .teacher-name, .hod-title, .principal-title, .principal-name {
    font-size: 12px;
  }
  .teachers {
    padding: 1rem 0;
  }
}

@media only screen and (min-width: 2000px) {
  .menu-a {
    margin: 0 2.5rem;
    font-size: 20px;
    font-weight: 500;
  }
}